Ads · Ad Accounts

Get ad account billing

Fetches ad account billing. Works with Google Ads.

GEThttps://api.pozy.ai/v1/ads/accounts/billing
Google WorkspacegetAdAccountBilling

Guide: Google Ads

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the ads resource group disabled get 403 resource_group_disabled. Authentication

Query parameters

NameTypeNotes
accountIdrequiredstring
adAccountIdstring

Example

curl -X GET "https://api.pozy.ai/v1/ads/accounts/billing?accountId=696e0b682d0a31188e7a2ba9" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • customerIdstring
  • paymentsAccountsarray of object
    • paymentsAccountIdstring
    • namestring

      Can be null.

    • currencystring

      Can be null.

    • paymentsProfileIdstring

      Can be null.

    • payingManagerCustomerIdstring

      Can be null.

  • billingSetupsarray of object
    • billingSetupIdstring
    • statusstring

      One of PENDING, APPROVED_HELD, APPROVED, CANCELLED, UNKNOWN.

    • paymentsAccountIdstring

      Can be null.

    • startDateTimestring

      Can be null.

    • endDateTimestring

      Can be null.

  • accountBudgetsarray of object
    • accountBudgetIdstring
    • statusstring

      One of PENDING, APPROVED, CANCELLED, UNKNOWN.

    • billingSetupIdstring

      Can be null.

    • approvedSpendingLimitMicrosstring

      Can be null.

    • approvedSpendingLimitTypestring

      Can be null.

    • pendingProposalIdstring

      Can be null.

  • pendingBudgetProposalsarray of object
    • accountBudgetProposalIdstring
    • billingSetupIdstring

      Can be null.

  • cachedAtstring (date-time)

    Can be null.

  • staleboolean
200 response
{
  "customerId": "691909ff82eb5ed7c816716d",
  "paymentsAccounts": [
    {
      "paymentsAccountId": "69ee150082c8d470630b2076",
      "name": "Acme",
      "currency": "USD",
      "paymentsProfileId": "64eb9f15a2a22aa9662a6cb8",
      "payingManagerCustomerId": "6bee0fa73ffaaa776bed1062"
    }
  ],
  "billingSetups": [
    {
      "billingSetupId": "62c3eba932baabf6447d4843",
      "status": "PENDING",
      "paymentsAccountId": "69ee150082c8d470630b2076",
      "startDateTime": "string",
      "endDateTime": "string"
    }
  ],
  "accountBudgets": [
    {
      "accountBudgetId": "60beae65670df1901a1eea9f",
      "status": "PENDING",
      "billingSetupId": "62c3eba932baabf6447d4843",
      "approvedSpendingLimitMicros": "string",
      "approvedSpendingLimitType": "string",
      "pendingProposalId": "6c3b76e3f75b14388b9b62e0"
    }
  ],
  "pendingBudgetProposals": [
    {
      "accountBudgetProposalId": "648f921ff3ba1883e4c11173",
      "billingSetupId": "62c3eba932baabf6447d4843"
    }
  ],
  "cachedAt": "2026-10-02T09:00:00.000Z",
  "stale": true
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Ad Accounts

GETList comments on an adPOSTReply to an ad commentPOSTHide or unhide an ad commentDELDelete an ad commentGETList TikTok Business CentersGETAd account change / audit logGETA/B tests and lift studiesGETList Instagram ad identitiesGETList Instagram posts to boostGETList advertisable appsGETGet iOS 14 campaign limitsGETBusinesses listGETBusiness usersGETPage users of a businessPOSTAssign a user to a PageDELRemove a user from a PageGETList ad labelsPOSTCreate a Google Ads labelPATCHUpdate a Google Ads labelDELRemove a Google Ads labelPOSTAttach a Google Ads labelDELDetach a Google Ads labelGETList high-demand periodsPOSTSchedule a budget increaseGETList value rule setsPOSTCreate a value rule setGETRead a value rule setPUTReplace a value rule setDELDelete a value rule setGETList negative keyword listsPOSTCreate a negative keyword listGETGet a negative keyword listPUTRename a negative keyword listDELDelete a negative keyword listPUTReplace negative list keywordsGETList account calloutsPOSTAdd account calloutsPUTUpdate account calloutsDELRemove account calloutGETList account sitelinksPOSTAdd account sitelinksPUTUpdate account sitelinksDELRemove account sitelinkGETList account snippetsPOSTAdd account snippetsPUTUpdate account snippetsDELRemove account snippetGETGet manager account hierarchyPOSTInvite a client account to a managerPATCHAccept, decline, cancel or end a manager linkPOSTSet up ad account billing (monthly invoicing)GETList user access invitationsPOSTInvite a user to an ad account by emailDELRevoke a user access invitationGETList invitations awaiting multi-party approvalDELWithdraw an invitation awaiting multi-party approvalGETAd account usersPOSTAssign a user to an ad accountDELRemove a user from an ad accountGETAd account financesGETCheck an ad account before creating adsGETRead an ad account's campaigns and ad sets liveGETList ad accountsPOSTCreate ad accountPATCHUpdate ad account settingsGETGet ad account DSA defaultsGETGet DSA recommendationsGETList custom conversionsPOSTCreate custom conversionGETList TikTok ad pixels